summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2013-10-18 11:37:40 +0200
committerWaldemar Brodkorb <wbx@openadk.org>2013-10-18 11:37:40 +0200
commit207248e837badc05ba0d1e6fb0f3fb77b4fd8a34 (patch)
tree890ede82bb7ad22c79ccbbd690b03f84fe8b0b58 /scripts
parentd579cd4a819aa5e0e6fa9dccd4e2ea6104a57815 (diff)
parent94e55c5b6cb493d9467686088a7b159322eeda5f (diff)
Merge branch 'master' of git+ssh://openadk.org/git/openadk
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index e611f4269..757ae4256 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -19,12 +19,12 @@ test -z "$BASH_VERSION$KSH_VERSION" && exec $BASH $0 "$@"
[[ -n $BASH_VERSION ]] && shopt -s extglob
topdir=$(readlink -nf $(dirname $0)/.. 2>/dev/null || (cd $(dirname $0)/..; pwd -P))
OStype=$(uname)
-isdeb=$(uname -a|grep '\(Debian\|Ubuntu\)')
out=0
. $topdir/.config
-if [ $isdeb -eq 0 ];then
+uname -a|grep '\(Debian\|Ubuntu\)' >/dev/null 2>&1
+if [ $? -eq 0 ];then
if [[ -n $ADK_COMPILE_PYTHON2 ]]; then
NEED_DPKG_ARCHITECTURE="$NEED_DPKG_ARCHITECTURE python2"
fi